/* eslint-env node */
module.exports = {
  extends: [
    "eslint:recommended",
    "plugin:@typescript-eslint/recommended",
    "plugin:solid/typescript",
    "plugin:prettier/recommended",
    "plugin:import/recommended",
    "plugin:import/typescript",
  ],
  parser: "@typescript-eslint/parser",
  plugins: ["@typescript-eslint", "solid", "prettier", "import"],
  root: true,
  settings: {
    "import/resolver": {
      typescript: {
        project: "./tsconfig.json",
      },
    },
  },
  rules: {
    "@typescript-eslint/explicit-function-return-type": "error",
    "no-duplicate-imports": ["error", { includeExports: true }],
    "import/no-unresolved": "error",
    "import/no-named-as-default-member": "off",
  },
};
